Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.home
Class WeekViewHomeModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.home.HomeModel
              portlets.compoze.groupware.model.home.WeekViewHomeModel

All Implemented Interfaces:
  java.io.Serializable

public class WeekViewHomeModel
extends HomeModel
implements java.io.Serializable

This class represents the data model for the week view home page (`week_view.jsp`).

See Also:
  Serialized Form

Constructor Summary
`WeekViewHomeModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, HomePreferences homePrefs, CalendarPreferences calendarPrefs, Accounts accounts)` Constructor.

Method Summary
`Appointment[]` | `getAppointments()` Gets the appointments for the month view.
`CalendarPreferences` | `getCalendarPreferences()` Gets the calendar preferences.
`java.util.Date` | `getEndDate()` Gets the end date.
`java.util.Date` | `getGivenDate()` Gets the given date.
`java.util.Date` | `getNextWeek()` Gets the next week.
`java.util.Date` | `getPreviousWeek()` Gets the previous week.
`portlets.compoze.groupware.controls.provider.Provider` | `getProvider()` Gets the provider.
`java.util.Date` | `getStartDate()` Gets the start date.
`Week` | `getWeek()` Gets the week.
`void` | `setAppointments(Appointment[] appointments)` Sets the appointments for the month view.
`void` | `setGivenDate(java.util.Date givenDate)` Sets the given date.
`void` | `setProvider(portlets.compoze.groupware.controls.provider.Provider provider)` Sets the provider.

Methods inherited from class portlets.compoze.groupware.model.home.HomeModel
`getDateString, getFeature, getHomePreferences, getTimeString, isOnlyOneFeatureAvailable`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeekViewHomeModel

    public WeekViewHomeModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                             FeatureGroup featureGroup,
                             GroupwarePreferences groupwarePrefs,
                             HomePreferences homePrefs,
                             CalendarPreferences calendarPrefs,
                             Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `homePrefs` - the home preferences (may not be `null`)
  `calendarPrefs` - the calendar preferences (may not be `null`)

Method Detail

### getCalendarPreferences

    public CalendarPreferences getCalendarPreferences()

  Gets the calendar preferences.

  Returns:
    the calendar preferences

### setGivenDate

    public void setGivenDate(java.util.Date givenDate)

  Sets the given date.

  Parameters:
    `givenDate` - the given date (may not be `null`)

### getGivenDate

    public java.util.Date getGivenDate()

  Gets the given date.

### getStartDate

    public java.util.Date getStartDate()

  Gets the start date.

  Returns:
    the start date

### getEndDate

    public java.util.Date getEndDate()

  Gets the end date.

  Returns:
    the end date

### setAppointments

    public void setAppointments(Appointment[] appointments)

  Sets the appointments for the month view.

  Parameters:
    `appointments` - the appointments for the month view (may not be `null`)

### getAppointments

    public Appointment[] getAppointments()

  Gets the appointments for the month view.

  Returns:
    the appointments for the month

### getWeek

    public Week getWeek()

  Gets the week.

  Returns:
    the week

### getNextWeek

    public java.util.Date getNextWeek()

  Gets the next week.

  Returns:
    the next week

### getPreviousWeek

    public java.util.Date getPreviousWeek()

  Gets the previous week.

  Returns:
    the previous week

### setProvider

    public void setProvider(portlets.compoze.groupware.controls.provider.Provider provider)

  Sets the provider.

  Parameters:
    `provider` - the provider (may not be `null`)

### getProvider

    public portlets.compoze.groupware.controls.provider.Provider getProvider()

  Gets the provider.

  Returns:
    the provider

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.